singularity(1)

NAME

singularity-pull - Pull an image from a URI

SYNOPSIS

singularity pull [pull options...] [output file]

DESCRIPTION

The 'pull' command allows you to download or build a container from a given
  URI. Supported URIs include:

library: Pull an image from the currently configured library
      library://user/collection/container[:tag]

docker: Pull a Docker/OCI image from Docker Hub, or another OCI registry.
      docker://user/image:tag

shub: Pull an image from Singularity Hub
      shub://user/image:tag

oras: Pull an image from an OCI registry that supports ORAS / OCI artifacts.
      oras://registry/namespace/image:tag

http, https: Pull an image using the http(s?) protocol
      https://example.com/containers/mycontainer.sif

By default, images from a library URI will be pulled in the same format they
  were uploaded. If the --oci flag is specified then the pull is required
  to result in an OCI-SIF image.

By default, images pulled from docker and other oci URIs will be converted
  into a singularity native SIF image. If the --oci flag is specified then they
  will be encapsulated in an OCI-SIF image.

Images pulled from a shub/oras/http/https URI are always directly downloaded,
  in the same format as they were uploaded.

OPTIONS

--arch=""
    architecture to use when pulling images

--authfile=""
    Docker-style authentication file to use for writing/reading OCI registry credentials

--dir=""
    download images to the specific directory

--disable-cache[=false]
    dont use cached images/blobs and dont create them

--docker-host=""
    specify a custom Docker daemon host

--docker-login[=false]
    login to a Docker Repository interactively

-F, --force[=false]
    overwrite an image file if it exists

-h, --help[=false]
    help for pull

--keep-layers[=false]
    Keep layers when creating an OCI-SIF. Do not squash to a single layer.

--library=""
    download images from the provided library

--no-cleanup[=false]
    do NOT clean up bundle after failed build, can be helpful for debugging

--no-https[=false]
    use http instead of https for docker:// oras:// and library:///... URIs

--no-oci[=false]
    Launch container with native runtime

--oci[=false]
    Launch container with OCI runtime (experimental)

--platform=""
    platform (OS/Architecture/Variant) to use when pulling images

EXAMPLE
      From Sylabs cloud library
      $ singularity pull alpine.sif library://alpine:latest
      From Docker to a singularity native SIF image
      $ singularity pull tensorflow.sif docker://tensorflow/tensorflow:latest
      From Docker to an OCI-SIF image
      $ singularity pull --oci tensorflow.oci.sif docker://tensorflow/tensorflow:latest
      From Shub
      $ singularity pull singularity-images.sif shub://vsoch/singularity-images
      From an OCI registry supporting ORAS / OCI artifacts
      $ singularity pull image.sif oras://<username>.azurecr.io/namespace/image:tag

SEE ALSO

singularity(1)

HISTORY

29-Oct-2024 Auto generated by spf13/cobra